## lua-resty-core 0.1.25

=== Makefile ===
OPENRESTY_PREFIX=/usr/local/openresty

#LUA_VERSION := 5.1
PREFIX ?=          /usr/local
LUA_INCLUDE_DIR ?= $(PREFIX)/include
LUA_LIB_DIR ?=     $(PREFIX)/lib/lua/$(LUA_VERSION)
INSTALL ?= install

.PHONY: all test install

all: ;

install: all
	$(INSTALL) -d $(DESTDIR)$(LUA_LIB_DIR)/resty/core/
	$(INSTALL) -d $(DESTDIR)$(LUA_LIB_DIR)/ngx/
	$(INSTALL) -d $(DESTDIR)$(LUA_LIB_DIR)/ngx/ssl
	$(INSTALL) lib/resty/*.lua $(DESTDIR)$(LUA_LIB_DIR)/resty/
	$(INSTALL) lib/resty/core/*.lua $(DESTDIR)$(LUA_LIB_DIR)/resty/core/
	$(INSTALL) lib/ngx/*.lua $(DESTDIR)$(LUA_LIB_DIR)/ngx/
	$(INSTALL) lib/ngx/ssl/*.lua $(DESTDIR)$(LUA_LIB_DIR)/ngx/ssl/

test: all
	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../test-nginx/lib -r t

## lua-resty-core 0.1.23

=== debian/changelog ===
lua-resty-core (0.1.23-4) unstable; urgency=medium

  * d/t/control fixed test dependencies
  * d/t/nginxtest updated, added check if lua http module is installed,
    and if it is not, then the test is skipped.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 19 Aug 2022 08:26:36 +0200

lua-resty-core (0.1.23-3) unstable; urgency=medium

  * d/t/nginxtest: added autopkgtest

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 13 Aug 2022 17:56:04 +0200

lua-resty-core (0.1.23-2) unstable; urgency=medium

  * d/control added dependency on libluajit2-5.1-2

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 02 Aug 2022 15:11:03 +0200

lua-resty-core (0.1.23-1) unstable; urgency=medium

  * Initial release. (Closes: 1016053)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 29 Jul 2022 17:39:42 +0200

=== debian/control ===
Source: lua-resty-core
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-lua,
Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
Homepage: https://github.com/openresty/lua-resty-core
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-core.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-core

Package: lua-resty-core
Depends: libluajit2-5.1-2,
         lua-resty-lrucache,
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${lua:Provides},
XB-Lua-Versions: ${lua:Versions}
Architecture: all
Description: New FFI-based Lua API for NGINX Lua module
 This pure Lua library reimplements part of the ngx_lua module's Nginx API
 for Lua with LuaJIT FFI and installs the new FFI-based Lua API
 into the ngx.* and ndk.* namespaces used by the ngx_lua module. In addition,
 this Lua library implements any significant new Lua APIs of the ngx_lua module
 as proper Lua modules, like ngx.semaphore and ngx.balancer. The FFI-based
 Lua API can work with LuaJIT's JIT compiler. ngx_lua's default API is based on
 the standard Lua C API, which will never be JIT compiled and the user Lua code
 is always interpreted (slowly).

## lua-resty-core 0.1.24

=== debian/changelog ===
lua-resty-core (0.1.24-2) unstable; urgency=medium

  * d/control added dependency on libnginx-mod-http-lua

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 18 Sep 2022 08:34:10 +0200

lua-resty-core (0.1.24-1) unstable; urgency=medium

  * New upstream version 0.1.24.
  * d/t/nginxtest updated, the test is skipped if libnginx-mod-http-lua module
    or lua-resty-core can't be installed

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 17 Sep 2022 07:49:08 +0200

lua-resty-core (0.1.23-5) unstable; urgency=medium

  * d/lua5.{2,3,4}.dh-lua.conf removed, lua-resty-core depends on LuaJIT2.
    LuaJIT2 is API+ABI-compatible with Lua 5.1

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sun, 04 Sep 2022 18:45:18 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
 Package: lua-resty-core
 Depends: libluajit2-5.1-2,
          lua-resty-lrucache,
+         libnginx-mod-http-lua (>= 1:0.10.22),
+         libnginx-mod-http-lua (<< 1:0.10.22.1~),
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: ${lua:Provides},

=== debian/tests/control ===
Tests: nginxtest
Restrictions: allow-stderr isolation-container needs-root skippable
Depends: curl,
         nginx,
         nginx-core,

## lua-resty-core 0.1.25~rc1

=== debian/changelog ===
lua-resty-core (0.1.25~rc1-2) unstable; urgency=medium

  * Upload to unstable.
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.23~rc1
    and << 1:0.10.23.1~

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Tue, 07 Feb 2023 09:46:58 +0100

lua-resty-core (0.1.25~rc1-1) experimental; urgency=medium

  * New upstream version 0.1.25~rc1
  * d/control: update libnginx-mod-http-lua dependency 1:0.10.23~rc1
  * d/control: bump Standards-Version: 4.6.2, no changes
  * d/gbb.conf: switched to debian branch main (debian-branch = main)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 21 Jan 2023 22:45:16 +0100

lua-resty-core (0.1.24-4) unstable; urgency=medium

  *  d/t/control fixed test dependencies

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 25 Nov 2022 18:07:14 +0100

lua-resty-core (0.1.24-3) unstable; urgency=medium

  * d/t/nginxtest cleanup, after the luajit2 library, which lua-resty-core
    depends on, has been removed on ppc64el architecture (segfaults).
  * d/upstream/metadata added, set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository-Browse.

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 23 Sep 2022 17:46:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
                dh-lua,
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://github.com/openresty/lua-resty-core
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-core.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-core
 
 Package: lua-resty-core
 Depends: libluajit2-5.1-2,
+         libnginx-mod-http-lua (<< 1:0.10.23.1~),
+         libnginx-mod-http-lua (>= 1:0.10.23~rc1),
          lua-resty-lrucache,
-         libnginx-mod-http-lua (>= 1:0.10.22),
-         libnginx-mod-http-lua (<< 1:0.10.22.1~),
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: ${lua:Provides},

## lua-resty-core 0.1.25

=== debian/changelog ===
lua-resty-core (0.1.25-1) unstable; urgency=medium

  * New upstream version 0.1.25
  * d/copyright-scan-patterns.yml added
  * d/copyright updated to be compatible with 'cme update dpkg-copyright'
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.23
    and << 1:0.10.23.1~

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 24 Feb 2023 07:30:11 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: lua-resty-core
 Depends: libluajit2-5.1-2,
          libnginx-mod-http-lua (<< 1:0.10.23.1~),
-         libnginx-mod-http-lua (>= 1:0.10.23~rc1),
+         libnginx-mod-http-lua (>= 1:0.10.23),
          lua-resty-lrucache,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/watch ===
version=4

opts="\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lua-resty-core-$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
" https://github.com/openresty/lua-resty-core/tags .*/v?(\d\S+)\.tar\.gz

## lua-resty-core 0.1.27

=== debian/changelog ===
lua-resty-core (0.1.27-1) unstable; urgency=medium

  * New upstream version 0.1.27
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.25
    and << 1:0.10.25.1~

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 28 Jun 2023 18:22:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: lua-resty-core
 Depends: libluajit2-5.1-2,
-         libnginx-mod-http-lua (<< 1:0.10.23.1~),
-         libnginx-mod-http-lua (>= 1:0.10.23),
+         libnginx-mod-http-lua (<< 1:0.10.25.1~),
+         libnginx-mod-http-lua (>= 1:0.10.25),
          lua-resty-lrucache,
          ${misc:Depends},
          ${shlibs:Depends},

## lua-resty-core 0.1.28

=== debian/changelog ===
lua-resty-core (0.1.28-2) unstable; urgency=medium

  * d/watch: use new recommended github template

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Fri, 19 Jan 2024 19:18:04 +0100

lua-resty-core (0.1.28-1) unstable; urgency=medium

  * New upstream version 0.1.28
  * d/copyright: bump my copyright year
  * d/gbp.conf: add [pull] track-missing = True
  * d/watch: remove filenamemangle
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.26~
    and << 1:0.10.26.1~
  * d/p/0001-feature-support-pcre2.patch: remove, fixed in upstream

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 08 Jan 2024 09:16:34 +0100

lua-resty-core (0.1.27-2) unstable; urgency=medium

  * d/p/0001-feature-support-pcre2.patch: added PCRE2 support

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 27 Sep 2023 19:57:29 +0200

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 Package: lua-resty-core
 Depends: libluajit2-5.1-2,
-         libnginx-mod-http-lua (<< 1:0.10.25.1~),
-         libnginx-mod-http-lua (>= 1:0.10.25),
+         libnginx-mod-http-lua (<< 1:0.10.26.1~),
+         libnginx-mod-http-lua (>= 1:0.10.26),
          lua-resty-lrucache,
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/tests/control ===
Tests: nginxtest
Restrictions: allow-stderr isolation-container needs-root skippable
Depends: curl,
         nginx-extras,

=== debian/watch ===
version=4
opts="\
searchmode=plain,\
filenamemangle=s%.*/v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/,\
" \
https://api.github.com/repos/openresty/lua-resty-core/tags?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/refs/tags/v?@ANY_VERSION@

## lua-resty-core 0.1.29

=== debian/changelog ===
lua-resty-core (0.1.29-1) unstable; urgency=medium

  * New upstream version 0.1.29
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.27~
    and << 1:0.10.27.1~

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Mon, 19 Aug 2024 10:04:28 +0200

lua-resty-core (0.1.28-3) unstable; urgency=medium

  * d/control: bump Standards-Version: 4.7.0, no changes
  * d/control: replace luajit2 B-D with luajit (Closes: 1072348)
  * d/control: update dependency lua-resty-lrucache (>= 0.13-11)
  * d/control: update dependency libnginx-mod-http-lua (>= 1:0.10.26-3)

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Sat, 01 Jun 2024 16:23:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
                dh-lua,
 Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
 Homepage: https://github.com/openresty/lua-resty-core
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-core.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-core
 
 Package: lua-resty-core
-Depends: libluajit2-5.1-2,
-         libnginx-mod-http-lua (<< 1:0.10.26.1~),
-         libnginx-mod-http-lua (>= 1:0.10.26),
-         lua-resty-lrucache,
+Depends: libluajit-5.1-2,
+         libnginx-mod-http-lua (<< 1:0.10.27.1~),
+         libnginx-mod-http-lua (>= 1:0.10.27),
+         lua-resty-lrucache (>= 0.13-11),
          ${misc:Depends},
          ${shlibs:Depends},
 Provides: ${lua:Provides},

## lua-resty-core 0.1.30

=== debian/changelog ===
lua-resty-core (0.1.30-2) unstable; urgency=medium

  * d/{control,copyright}: update my email to "janmojzis@debian.org"
  * d/copyright: bump debian/* copyright year
  * d/control: Maintainer Lua Team, me as uploader
  * d/salsa-ci.yml: add
  * d/watch: use more generic template

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 27 Jan 2025 21:12:33 +0100

lua-resty-core (0.1.30-1) unstable; urgency=medium

  * New upstream version 0.1.30
  * d/control: remove XB-Lua-Versions header
  * d/gbp.conf: dist = DEP14, debian-branch = debian/latest

 -- Jan Mojžíš <jan.mojzis@gmail.com>  Wed, 23 Oct 2024 17:38:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: lua-resty-core
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-lua,
-Maintainer: Jan Mojžíš <jan.mojzis@gmail.com>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-lua,
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders:
+ Jan Mojžíš <janmojzis@debian.org>,
 Homepage: https://github.com/openresty/lua-resty-core
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
@@ -11,14 +14,15 @@
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-core
 
 Package: lua-resty-core
-Depends: libluajit-5.1-2,
-         libnginx-mod-http-lua (<< 1:0.10.27.1~),
-         libnginx-mod-http-lua (>= 1:0.10.27),
-         lua-resty-lrucache (>= 0.13-11),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Provides: ${lua:Provides},
-XB-Lua-Versions: ${lua:Versions}
+Depends:
+ libluajit-5.1-2,
+ libnginx-mod-http-lua (<< 1:0.10.27.1~),
+ libnginx-mod-http-lua (>= 1:0.10.27),
+ lua-resty-lrucache (>= 0.13-11),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ ${lua:Provides},
 Architecture: all
 Description: New FFI-based Lua API for NGINX Lua module
  This pure Lua library reimplements part of the ngx_lua module's Nginx API

## lua-resty-core 0.1.31

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,13 @@
 	$(INSTALL) lib/resty/core/*.lua $(DESTDIR)$(LUA_LIB_DIR)/resty/core/
 	$(INSTALL) lib/ngx/*.lua $(DESTDIR)$(LUA_LIB_DIR)/ngx/
 	$(INSTALL) lib/ngx/ssl/*.lua $(DESTDIR)$(LUA_LIB_DIR)/ngx/ssl/
+ifeq ($(LUA_LIB_DIR),/usr/local/lib/lua/)
+	@echo
+	@printf "\033[33mPLEASE NOTE: \033[0m\n"
+	@printf "\033[33mThe necessary lua_package_path directive needs to be added to nginx.conf\033[0m\n"
+	@printf "\033[33min the http context, because \"/usr/local/lib/lua/\" is not in LuaJIT’s default search path.\033[0m\n"
+	@printf "\033[33mRefer to the Installation section of README.markdown.\033[0m\n"
+endif
 
 test: all
 	PATH=$(OPENRESTY_PREFIX)/nginx/sbin:$$PATH prove -I../test-nginx/lib -r t

=== debian/changelog ===
lua-resty-core (0.1.31-3) unstable; urgency=medium

  * d/tests/nginxtest: fix test dependencies after lua module was removed from
    nginx-extras

 -- Jan Mojžíš <janmojzis@debian.org>  Fri, 19 Sep 2025 19:17:10 +0200

lua-resty-core (0.1.31-2) unstable; urgency=medium

  * d/salsa-ci.yml: use SALSA_CI_ENABLE_LICENSERECON: 1
  * d/salsa-ci.yml: remove SALSA_CI_DISABLE_APTLY: 0
  * d/salsa-ci.yml: remove SALSA_CI_AUTOPKGTEST_ALLOWED_EXIT_STATUS: '0'
  * d/control: bump Standards-Version: 4.7.2, no changes
  * d/watch: rewrite to version 5, use Github uscan-template
  * d/gbp.conf: upstream-branch = upstream/latest

 -- Jan Mojžíš <janmojzis@debian.org>  Tue, 16 Sep 2025 22:59:24 +0200

lua-resty-core (0.1.31-1) unstable; urgency=medium

  * New upstream version 0.1.31
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.28~
    and << 1:0.10.28.1~

 -- Jan Mojžíš <janmojzis@debian.org>  Mon, 10 Feb 2025 19:56:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Uploaders:
  Jan Mojžíš <janmojzis@debian.org>,
 Homepage: https://github.com/openresty/lua-resty-core
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-core.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-core
@@ -16,8 +16,8 @@
 Package: lua-resty-core
 Depends:
  libluajit-5.1-2,
- libnginx-mod-http-lua (<< 1:0.10.27.1~),
- libnginx-mod-http-lua (>= 1:0.10.27),
+ libnginx-mod-http-lua (<< 1:0.10.28.1~),
+ libnginx-mod-http-lua (>= 1:0.10.28),
  lua-resty-lrucache (>= 0.13-11),
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/tests/control ===
Tests:
 nginxtest,
Restrictions:
 allow-stderr isolation-container needs-root skip-not-installable,
Depends:
 curl,
 libnginx-mod-http-lua,
 nginx,

=== debian/watch ===
Version: 5
Template: Github
Owner: openresty
Project: @PACKAGE@
Uversion-Mangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/
Pgp-Mode: none

## lua-resty-core 0.1.32

=== debian/changelog ===
lua-resty-core (0.1.32-1) unstable; urgency=medium

  * New upstream version 0.1.32
  * d/control: updated libnginx-mod-http-lua dependency >=1:0.10.29~
    and << 1:0.10.29.1~
  * d/control: remove Rules-Requires-Root: no

 -- Jan Mojžíš <janmojzis@debian.org>  Sun, 07 Dec 2025 17:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,14 @@
  Jan Mojžíš <janmojzis@debian.org>,
 Homepage: https://github.com/openresty/lua-resty-core
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/lua-team/lua-resty-core.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua-resty-core
 
 Package: lua-resty-core
 Depends:
  libluajit-5.1-2,
- libnginx-mod-http-lua (<< 1:0.10.28.1~),
- libnginx-mod-http-lua (>= 1:0.10.28),
+ libnginx-mod-http-lua (<< 1:0.10.29.1~),
+ libnginx-mod-http-lua (>= 1:0.10.29),
  lua-resty-lrucache (>= 0.13-11),
  ${misc:Depends},
  ${shlibs:Depends},
